• Diese Seite verwendet Cookies. Indem du diese Website weiterhin nutzt, erklärst du dich mit der Verwendung von Cookies einverstanden. Erfahre mehr

Frage zu ncbi blast

bsd4me

Well-Known Member
Themenstarter #1
Hallo,

leider habe ich ein Problem mit ncbi blast version 2.7.1 - die gibt es zwar als Binärpaket unter 10.3 - das läuft aber nicht unter da... Und wenn ich es kompiliere stoppt es bei:

...
/bin/ln -f libncbi_xreader_gicache.a /bioappl/src/blast/ncbi-blast-2.7.1+-src/c++/ReleaseMT/lib/libncbi_xreader_gicache.a
/bin/ln -f .ncbi_xreader_gicache.dep /bioappl/src/blast/ncbi-blast-2.7.1+-src/c++/ReleaseMT/status/.ncbi_xreader_gicache.dep
gmake[6]: *** No rule to make target '/bioappl/src/blast/ncbi-blast-2.7.1+-src/c++/ReleaseMT/status/.lmdb.dep', needed by 'libncbi_xreader_gicache-dll.so'. Stop.
gmake[6]: Leaving directory '/bioappl/src/blast/ncbi-blast-2.7.1+-src/c++/ReleaseMT/build/objtools/data_loaders/genbank/gicache'
FAILED: src/objtools/data_loaders/genbank/gicache/Makefile.ncbi_xreader_gicache.lib
gmake[6]: Entering directory '/bioappl/src/blast/ncbi-blast-2.7.1+-src/c++/ReleaseMT/build/objtools/data_loaders/genbank/gicache'
/bin/rm -f libncbi_xreader_gicache.a .ncbi_xreader_gicache.dep .libncbi_xreader_gicache.a.stamp
/bin/rm -f /bioappl/src/blast/ncbi-blast-2.7.1+-src/c++/ReleaseMT/lib/libncbi_xreader_gicache.a /bioappl/src/blast/ncbi-blast-2.7.1+-src/c++/ReleaseMT/status/.ncbi_xreader_gicache.dep \
/bioappl/src/blast/ncbi-blast-2.7.1+-src/c++/ReleaseMT/lib/libncbi_xreader_gicache-static.a /bioappl/src/blast/ncbi-blast-2.7.1+-src/c++/ReleaseMT/status/.ncbi_xreader_gicache-static.dep
/bin/rm -f libncbi_xreader_gicache-dll.so libncbi_xreader_gicache-dll.so .ncbi_xreader_gicache-dll.dep .libncbi_xreader_gicache-dll.so.stamp
/bin/rm -f /bioappl/src/blast/ncbi-blast-2.7.1+-src/c++/ReleaseMT/lib/libncbi_xreader_gicache-dll.so /bioappl/src/blast/ncbi-blast-2.7.1+-src/c++/ReleaseMT/status/.ncbi_xreader_gicache-dll.dep
/bin/rm -f /bioappl/src/blast/ncbi-blast-2.7.1+-src/c++/ReleaseMT/lib/libncbi_xreader_gicache-dll.so /bioappl/src/blast/ncbi-blast-2.7.1+-src/c++/ReleaseMT/status/.ncbi_xreader_gicache-dll.dep
gmake[6]: Leaving directory '/bioappl/src/blast/ncbi-blast-2.7.1+-src/c++/ReleaseMT/build/objtools/data_loaders/genbank/gicache'
gmake[5]: *** [/bioappl/src/blast/ncbi-blast-2.7.1+-src/c++/src/build-system/Makefile.meta_l:301: all.nonusr] Error 2
gmake[5]: Leaving directory '/bioappl/src/blast/ncbi-blast-2.7.1+-src/c++/ReleaseMT/build/objtools/data_loaders/genbank/gicache'
gmake[4]: *** [/bioappl/src/blast/ncbi-blast-2.7.1+-src/c++/src/build-system/Makefile.meta_r:41: all_r.real] Error 5
...

Vielen Dank für Tips! :) Norbert
 
H

holgerw

Guest
#2
Hallo Norbert,

FreeBSD 10.3? Vielleicht aktualisierst Du zunächst auf eine Produktivversion wie 10.4 oder 11.1 und kompilierst dann noch mal.

Viele Grüße
Holger
 

bsd4me

Well-Known Member
Themenstarter #3
Da hast Du natürlich recht :) Aber upgrade erst dann, wenn keine Jobs laufen - und da sind leider immer noch Projekte, die Rechenpower brauchen...
VG Norbert
 

swafskari

Well-Known Member
#4
Ich frage einfach mal ganz blöd, warum lässt Du/Ihr denn nicht blasts über ncbis‘ Server laufen? Auch wenn Du wahrscheinlich Gründe hast einen Eigenen aufzusetzen. :)

Viele Grüße
swaf
 

bsd4me

Well-Known Member
Themenstarter #7
ach, ich konnte es lösen - configure mit parameter -with-lmdb=/usr/local aufrufen :) :)
Dank an alle - Norbert